From ef9dad29f31469fb3f4befd02258c97d32670ac7 Mon Sep 17 00:00:00 2001
From: Andrew Dunstan <andrew@dunslane.net>
Date: Mon, 13 Jun 2022 18:19:39 -0400
Subject: [PATCH v2 2/2] Use installed postgresql.conf.sample for GUC sanity
 TAP test

The current code looks for the sample file in the source directory, but
it seems better to test against the installed sample file.
---
 src/test/modules/test_misc/t/003_check_guc.pl | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/src/test/modules/test_misc/t/003_check_guc.pl b/src/test/modules/test_misc/t/003_check_guc.pl
index 60459ef759..1786cd1929 100644
--- a/src/test/modules/test_misc/t/003_check_guc.pl
+++ b/src/test/modules/test_misc/t/003_check_guc.pl
@@ -33,10 +33,9 @@ my $not_in_sample = $node->safe_psql(
      ORDER BY 1");
 my @not_in_sample_array = split("\n", lc($not_in_sample));
 
-# TAP tests are executed in the directory of the test, in the source tree,
-# even for VPATH builds, so rely on that to find postgresql.conf.sample.
-my $rootdir     = "../../../..";
-my $sample_file = "$rootdir/src/backend/utils/misc/postgresql.conf.sample";
+# use the sample file from the temp install
+my $share_dir = $node->config_data('--sharedir');
+my $sample_file = "$share_dir/postgresql.conf.sample";
 
 # List of all the GUCs found in the sample file.
 my @gucs_in_file;
-- 
2.25.1

